summaryrefslogtreecommitdiff
path: root/resources/scripts/blobs/download
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-03-18 15:20:03 +0000
committerLeah Rowe <leah@libreboot.org>2023-03-18 15:20:03 +0000
commitbe3d7b7e69189055fbf8b7904336593a03a17ecd (patch)
treee4ea7079be108b37df3a9d18152fe46f4d07740d /resources/scripts/blobs/download
parentbdc39ffcc754ea442c3767e0e01b40ab977eb87a (diff)
haswell: re-add mrc.bin in separate board configs
libre mrc on haswell is quite buggy for now, but works in a limited fashion this patch re-adds the old configs, but as _mrc for example t440p_12mb_mrc instead of t440p_12mb and t440p_12mb (without _mrc) still uses the libre mrc code
Diffstat (limited to 'resources/scripts/blobs/download')
-rwxr-xr-xresources/scripts/blobs/download8
1 files changed, 8 insertions, 0 deletions
diff --git a/resources/scripts/blobs/download b/resources/scripts/blobs/download
index d8e55568..186755dc 100755
--- a/resources/scripts/blobs/download
+++ b/resources/scripts/blobs/download
@@ -19,6 +19,9 @@ Download_needed(){
*ME*)
Extract_me || _failed="${_failed} me"
;;
+ *MRC*)
+ ./download mrc || _failed="${_failed} mrc"
+ ;;
esac
done
@@ -92,6 +95,11 @@ set -- "resources/coreboot/${board}/config/*"
. ${1} 2>/dev/null
. "resources/coreboot/${board}/board.cfg"
+if [ "${CONFIG_HAVE_MRC}" = "y" ]; then
+ printf 'haswell board detected, downloading mrc\n'
+ needs="${needs} MRC"
+fi
+
if [ "${CONFIG_HAVE_IFD_BIN}" = "y" ]; then
printf 'board needs intel firmware descriptor\n'
needs="${needs} IFD"